Firefox cannot load Flash because of libxul broken dependency

Bug #1720908 reported by Alexis Wilke on 2017-10-03
88
This bug affects 15 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

When I start Firefox version 56 in my console and then go to a page using Adobe Flash, I get the following errors:

/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[18352] WARNING: pipe error (114): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[18352] WARNING: pipe error (94): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[18352] WARNING: pipe error (41): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353

Each time the problem is the same: gdk_screen_get_monitor_workarea is undefined. Gnome marked that function as deprecated, but Firefox version 55 worked just fine, whereas Firefox 56 fails with Flash.

https://developer.gnome.org/gdk3/stable/GdkScreen.html#gdk-screen-get-monitor-workarea

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: firefox 56.0+build6-0ubuntu0.16.04.1
ProcVersionSignature: Ubuntu 4.4.0-96.119-generic 4.4.83
Uname: Linux 4.4.0-96-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
AddonCompatCheckDisabled: False
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: alexis 24733 F.... pulseaudio
 /dev/snd/controlC0: alexis 24733 F.... pulseaudio
BuildID: 20170928135459
Channel: Unavailable
CurrentDesktop: Unity
Date: Mon Oct 2 17:05:32 2017
ExecutablePath: /usr/lib/firefox/firefox
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2010-12-27 (2471 days ago)
InstallationMedia: Ubuntu-Server 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.2)
Locales: extensions.sqlite corrupt or missing
MostRecentCrashID: bp-33216e86-e3b0-440b-a25a-2754b1171002
Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=56.0/20170928135459 (In use)
RfKill:

RunningIncompatibleAddons: False
SourcePackage: firefox
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: Upgraded to xenial on 2016-05-20 (500 days ago)
dmi.bios.date: 09/16/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F14
dmi.board.name: P55A-UD4P
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF14:bd09/16/2010:svnGigabyteTechnologyCo.,Ltd.:pnP55A-UD4P:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnP55A-UD4P:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: P55A-UD4P
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Alexis Wilke (alexis-m2osw) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed

Official Firefox build does not have this problem

tags: added: i386 trusty

not just i386. Occurs here with 64bit Flash v27 and 64bit FireFox v56.

Test page is https://helpx.adobe.com/flash-player.html and then press "check now". Logs in console :

/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[Parent 26603] WARNING: pipe error (137): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[Parent 26603] WARNING: pipe error (136): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353

Muzi (muzi111) wrote :

Yes not just i386, its sucks also 64bit :( , i am unable to run vsphere flash webclient in firefox and my routine works is badly effected due to this bug. When its patch or fix version will available ? And how to revert back to old firefox version 55.0 ?? Please help me.

@muzi : you can use apt (or a GUI like Muon) to install an older version. Ex 'sudo apt-get install firefox=55.0.2+build1-0ubuntu0.16.04.1'

Muzi (muzi111) wrote :

Thanks Tom, i tried but as per googling i found we cant revert back automatically to older version. Only solution is to uninstall the current version and manually install old version from source.

sudo apt-get install firefox=55.0.2+build1-0ubuntu0.16.04.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '55.0.2+build1-0ubuntu0.16.04.1' for 'firefox' was not found

Download full text (4.9 KiB)

Hi muzi
on my 32 bit still no success

on my 64 bit notebook, Flash kept working normal while FF upgraded to
version 56

on the Ubuntu17.10 beta artful with FF55, I had also problems getting Flash
installed.
But I found a nice site that lists all available Ubuntu packages, called
https://packages.ubuntu.com
selected the artful packages and found flash installer.
downloaded that package via the local ubuntu distribution site, that
offered me a deb package which installed without a problem and made Flash
working corrrectly.

On 4 October 2017 at 12:12, Muzi <email address hidden> wrote:

> Thanks Tom, i tried but as per googling i found we cant revert back
> automatically to older version. Only solution is to uninstall the
> current version and manually install old version from source.
>
> sudo apt-get install firefox=55.0.2+build1-0ubuntu0.16.04.1
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> E: Version '55.0.2+build1-0ubuntu0.16.04.1' for 'firefox' was not found
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1720955).
> https://bugs.launchpad.net/bugs/1720908
>
> Title:
> Firefox cannot load Flash because of libxul broken dependency
>
> Status in firefox package in Ubuntu:
> Confirmed
>
> Bug description:
> When I start Firefox version 56 in my console and then go to a page
> using Adobe Flash, I get the following errors:
>
> /usr/lib/firefox/plugin-container: symbol lookup error:
> /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_
> workarea
> [18352] WARNING: pipe error (114): Connection reset by peer: file
> /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/
> chrome/common/ipc_channel_posix.cc, line 353
> /usr/lib/firefox/plugin-container: symbol lookup error:
> /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_
> workarea
> [18352] WARNING: pipe error (94): Connection reset by peer: file
> /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/
> chrome/common/ipc_channel_posix.cc, line 353
> /usr/lib/firefox/plugin-container: symbol lookup error:
> /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_
> workarea
> [18352] WARNING: pipe error (41): Connection reset by peer: file
> /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/
> chrome/common/ipc_channel_posix.cc, line 353
>
> Each time the problem is the same: gdk_screen_get_monitor_workarea is
> undefined. Gnome marked that function as deprecated, but Firefox
> version 55 worked just fine, whereas Firefox 56 fails with Flash.
>
> https://developer.gnome.org/gdk3/stable/GdkScreen.html#gdk-screen-get-
> monitor-workarea
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: firefox 56.0+build6-0ubuntu0.16.04.1
> ProcVersionSignature: Ubuntu 4.4.0-96.119-generic 4.4.83
> Uname: Linux 4.4.0-96-generic x86_64
> NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
> AddonCompatCheckDisabled: False
> ApportVersion: 2.20.1-0ubuntu2.10
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1...

Read more...

Muzi (muzi111) wrote :
Download full text (4.6 KiB)

Failed to load flush for vsphere client on my ubuntu 16.04 64bit

muzi@muzi-Linux:~$ uname -a
Linux muzi-Linux 4.4.0-96-generic #119-Ubuntu SMP Tue Sep 12 14:59:54 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (115): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (115): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (50): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (50): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (50): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (119): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (58): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (58): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (50): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
/usr/lib/firefox/plugin-container: symbol lookup error: /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_workarea
[12707] WARNING: pipe error (50): Connection reset by peer: file /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/chrome/...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 56.0+build6-0ubuntu0.17.04.2

---------------
firefox (56.0+build6-0ubuntu0.17.04.2) zesty-security; urgency=medium

  * Backport patch to stub gdk_screen_get_monitor_workarea in mozgtk2
    (fixes LP: #1720908)
    - add debian/patches/stub-gdk_screen_get_monitor_workarea-in-mozgtk2.patch
    - update debian/patches/series

 -- Chris Coulson <email address hidden> Tue, 03 Oct 2017 10:44:38 +0100

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 56.0+build6-0ubuntu0.14.04.2

---------------
firefox (56.0+build6-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * Backport patch to stub gdk_screen_get_monitor_workarea in mozgtk2
    (fixes LP: #1720908)
    - add debian/patches/stub-gdk_screen_get_monitor_workarea-in-mozgtk2.patch
    - update debian/patches/series

 -- Chris Coulson <email address hidden> Tue, 03 Oct 2017 10:46:24 +0100

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 56.0+build6-0ubuntu0.16.04.2

---------------
firefox (56.0+build6-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * Backport patch to stub gdk_screen_get_monitor_workarea in mozgtk2
    (fixes LP: #1720908)
    - add debian/patches/stub-gdk_screen_get_monitor_workarea-in-mozgtk2.patch
    - update debian/patches/series

 -- Chris Coulson <email address hidden> Tue, 03 Oct 2017 10:45:41 +0100

Changed in firefox (Ubuntu):
status: Confirmed → Fix Released
Muzi (muzi111) wrote :

Awesome ! Thumbs up and clapping for you Mr. Janitor, its resolved and flash is working now. Great work & support as always. Appreciated for prompt and effective response.

Regards,
Muzi

ard (ard+sur) wrote :
Download full text (4.2 KiB)

Likewise, flash working again on my 32 bit computer. Thanks a lot for the
quick action.

On 5 October 2017 at 00:29, Muzi <email address hidden> wrote:

> Awesome ! Thumbs up and clapping for you Mr. Janitor, its resolved and
> flash is working now. Great work & support as always. Appreciated for
> prompt and effective response.
>
> Regards,
> Muzi
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1720955).
> https://bugs.launchpad.net/bugs/1720908
>
> Title:
> Firefox cannot load Flash because of libxul broken dependency
>
> Status in firefox package in Ubuntu:
> Fix Released
>
> Bug description:
> When I start Firefox version 56 in my console and then go to a page
> using Adobe Flash, I get the following errors:
>
> /usr/lib/firefox/plugin-container: symbol lookup error:
> /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_
> workarea
> [18352] WARNING: pipe error (114): Connection reset by peer: file
> /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/
> chrome/common/ipc_channel_posix.cc, line 353
> /usr/lib/firefox/plugin-container: symbol lookup error:
> /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_
> workarea
> [18352] WARNING: pipe error (94): Connection reset by peer: file
> /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/
> chrome/common/ipc_channel_posix.cc, line 353
> /usr/lib/firefox/plugin-container: symbol lookup error:
> /usr/lib/firefox/libxul.so: undefined symbol: gdk_screen_get_monitor_
> workarea
> [18352] WARNING: pipe error (41): Connection reset by peer: file
> /build/firefox-6SoPIC/firefox-56.0+build6/ipc/chromium/src/
> chrome/common/ipc_channel_posix.cc, line 353
>
> Each time the problem is the same: gdk_screen_get_monitor_workarea is
> undefined. Gnome marked that function as deprecated, but Firefox
> version 55 worked just fine, whereas Firefox 56 fails with Flash.
>
> https://developer.gnome.org/gdk3/stable/GdkScreen.html#gdk-screen-get-
> monitor-workarea
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: firefox 56.0+build6-0ubuntu0.16.04.1
> ProcVersionSignature: Ubuntu 4.4.0-96.119-generic 4.4.83
> Uname: Linux 4.4.0-96-generic x86_64
> NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
> AddonCompatCheckDisabled: False
> ApportVersion: 2.20.1-0ubuntu2.10
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: alexis 24733 F.... pulseaudio
> /dev/snd/controlC0: alexis 24733 F.... pulseaudio
> BuildID: 20170928135459
> Channel: Unavailable
> CurrentDesktop: Unity
> Date: Mon Oct 2 17:05:32 2017
> ExecutablePath: /usr/lib/firefox/firefox
> Extensions: extensions.sqlite corrupt or missing
> ForcedLayersAccel: False
> IncompatibleExtensions: Unavailable (corrupt or non-existant
> compatibility.ini or extensions.sqlite)
> InstallationDate: Installed on 2010-12-27 (2471 days ago)
> InstallationMedia: Ubuntu-Server 10.04.1 LTS "Lucid Lynx" - Release
> amd64 (20100816.2)
> Locales: extensions.sqlite corrupt or missing
> MostRecentCrashID: bp-33...

Read more...

Flash works again but still crashes on context menu

Chris Coulson (chrisccoulson) wrote :

The context menu crash is a separate issue and I've submitted a fix upstream for that. I'll make sure it's fixed in the next release we publish

Alkis Georgopoulos (alkisg) wrote :

Chris thank you very much for taking care of both issues. :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers